/*
	Descrição: Funções do menu de usuário
    Autor: Adriano Angélico
	Data: 08/10/2015
	Versão: 1.0
*/

// Menu de usuário logado
$(function () {
    var cls = "user-menu-active-btn";

    $(".user-menu, .user-menu > ul").on("click", function (e) {
        e.stopPropagation();
    });

    $(".user-menu").on("click", function () {
        if ($(".user-menu > ul").is(":hidden")) {
            $(".user-menu > button").addClass(cls);
            $(".user-menu > ul").fadeIn("fast");
            $(".user-menu .user-data .user-name").removeClass("open-user-menu").addClass("close-user-menu");
        } else {
            $(".user-menu > button").removeClass(cls);
            $(".user-menu > ul").fadeOut("fast");
            $(".user-menu .user-data .user-name").removeClass("close-user-menu").addClass("open-user-menu");
        }
    });

    $("body").on("click", function () {
        $(".user-menu > button").removeClass(cls);
        $(".user-menu > ul").fadeOut("fast");
        $(".user-menu .user-data .user-name").removeClass("close-user-menu").addClass("open-user-menu");
    });
});